﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using moxa;

namespace Watchdog
{
    class Program
    {
        static void Main(string[] args)
        {
            // create the watchdog object
            moxa.v2101.Watchdog wdg = new moxa.v2101.Watchdog();

            // start watchdog timer with 5000 milliseconds (5 seconds).
            wdg.start(5000);

            System.Console.WriteLine("Enter 'q' to quit the watchdog test..");
            while (true)
            {
                System.Console.WriteLine("Press Enter in 5 seconds..");
                string s = System.Console.ReadLine();
                if (s.StartsWith("q") || s.StartsWith("Q"))
                {
                    break;
                }

                // refresh watchdog timer
                wdg.refresh();
            }

            // stop watchdog timer
            wdg.stop();
        }
    }
}
