﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using moxa;

namespace SetInterface
{
    class Program
    {
        static void Main(string[] args)
        {
            string sport = "",smode="";
            int port = 0, mode = 0;

            System.Console.WriteLine("Digitial In/Out Test Program");
            System.Console.WriteLine("\t (0) Exit Program");
            System.Console.WriteLine("\t (1) Set UART Mode");
       

            // read a char.
            string sin = System.Console.ReadLine();
            int n = int.Parse(sin);

            do
            {
                switch (n)
                {
                    // if char == '1', Set UART Mode
                    case 1:

                        System.Console.Write("Input the Port Number (1 ~ 4) = ");
                        sport = System.Console.ReadLine();
                        port = int.Parse(sport);

                        // read port value from console
                        System.Console.Write("Input the mode value (0 or 3) = ");
                        smode = System.Console.ReadLine();
                        mode = int.Parse(smode);

                        string regCOM = "COM" + port + ":";
                        moxa.v2401.SerialInterface.SetComPortInterface(regCOM, (moxa.v2401.SerialInterface.SerialMode)(mode));
                        System.Console.WriteLine("{0}={1}", regCOM, (moxa.v2401.SerialInterface.SerialMode)mode);
                        break;
                   
                }
                sin = System.Console.ReadLine();
                n = int.Parse(sin);
            } while (n != 0);
        }
    }
}
