// Reboot.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "fsioctl.h"

#define CTL_CODE(DeviceType, Function, Method, Access) ( \
  ((DeviceType) << 16) | ((Access) << 14) | ((Function) << 2) | (Method) \
)

#define FILE_DEVICE_HAL					0x00000101
#define METHOD_BUFFERED                 0
#define FILE_ANY_ACCESS                 0

#define IOCTL_HAL_REBOOT                CTL_CODE(FILE_DEVICE_HAL, 15, METHOD_BUFFERED, FILE_ANY_ACCESS)
typedef BOOL (WINAPI* fpKernelIoControl)( DWORD dwIoControlCode, LPVOID lpInBuf, DWORD nInBufSize, LPVOID lpOutBuf, DWORD nOutBufSize, LPDWORD lpBytesReturned );

int _tmain(int argc, _TCHAR* argv[])
{
	//Load Library
	HMODULE hCoreDLL = LoadLibrary( TEXT("coredll.dll") );
	fpKernelIoControl KernelIoControl = (fpKernelIoControl)GetProcAddress(hCoreDLL, TEXT("KernelIoControl") );

	KernelIoControl( IOCTL_HAL_REBOOT, NULL, 0, NULL, 0, NULL );
	
	//Free Library
	FreeLibrary( hCoreDLL );
	
	return 0;
}

