﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace SetInterface
{
    class Program
    {
        static void Main(string[] args)
        {
            //change the interface of COM3: to RS232
            moxa.da682.SerialInterface.SetComPortInterface("COM1:", moxa.da682.SerialInterface.SerialMode.RS232_MODE);

            //change the interface of COM5: to RS485-2W
            moxa.da682.SerialInterface.SetComPortInterface("COM2:", moxa.da682.SerialInterface.SerialMode.RS485_2WIRE_MODE);

            //change the interface of COM4: to RS422
            moxa.da682.SerialInterface.SetComPortInterface("COM3:", moxa.da682.SerialInterface.SerialMode.RS422_MODE);

            //change the interface of COM6: to RS485-4W
            moxa.da682.SerialInterface.SetComPortInterface("COM4:", moxa.da682.SerialInterface.SerialMode.RS485_4WIRE_MODE);
        }
    }
}
