﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using moxa;

namespace GetBIOSInfo
{
    class Program
    {
        static void Main(string[] args)
        {
            int StatusCode = 0x0;
            bool Checksum_Error = false;
            bool Keyboard_Error = false;

            //Get status data  
            StatusCode = moxa.mxdevice.bios_get_status();

            //Filter error status through status data
            Checksum_Error = ((StatusCode & (moxa.mxdevice.BIOS_CMOS_CHECKSUM)) > 0 ? true : false);
            Keyboard_Error = ((StatusCode & (moxa.mxdevice.BIOS_KEYBOARD_ERROR)) > 0 ? true : false);

            Console.WriteLine("Checksum_Error=" + Checksum_Error);
            Console.WriteLine("Keyboard_Error=" + Keyboard_Error);
        }
    }
}
