/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/


#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "moxa\devices.h"



int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE hWDG;
	DWORD refreshTime;
	DWORD dwRefreshPeriod=1000;
	refreshTime=2000;

	// starts watchdog timer
	hWDG=watchdog_init(refreshTime);


	while(TRUE)
	{
		printf( "Press \"ENTER\" in 5 seconds\n, 'q' to exit\n");
		WCHAR ch = getwchar();
		if ( ch == (WCHAR)'q' )
		{
			break;
		}
		// refresh watchdog timer
		watchdog_refresh(hWDG,5000);
	}

	// stops watchdog timer
	watchdog_release(hWDG);
	return 0;
}

