/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "moxa\devices.h"


int _tmain(int argc, _TCHAR* argv[])
{
	BOOL Temperature_Status=FALSE;
	BYTE StatusCode=0x0;
	BOOL Checksum_Error=FALSE,Keyboard_Error=FALSE;
	
	//Get status data  
	StatusCode=bios_get_status();
	
	//Filter error status through status data
	Checksum_Error=(StatusCode & BIOS_CMOS_CHECKSUM ? 1:0);
	Keyboard_Error=(StatusCode & BIOS_KEYBOARD_ERROR ? 1:0);

	printf("StatusCode=0x%x\n",StatusCode);
	printf("Checksum_Error=%x\r\n",Checksum_Error);
	printf("Keyboard_Error=%x\r\n",Keyboard_Error);

	return 0;
}

