// DIO.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "fsioctl.h"
#include "moxa\devices.h"


int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hDIO;
	unsigned int port_no;
	int data;
//	int	index;
	int	intDout,intDin;
	int	nDout=0;
	int port=0,mode=0;
	int n=0;

	WCHAR sin,smode;
	printf("UART Mode Test Program\n");
    printf("\t (0) Exit Program\n");
    printf("\t (1) Display DIN\n");
    printf("\t (2) Display DOUT\n");
	printf("\t (3) Set DOUT value\n");
	printf("\t (4) Display both DIN and DOUT\n");

	sin=getwchar();
	n=_wtoi(&sin);
	
	do
    {
        switch (n)
        {
            // if char == '1', display the digital input
            case 1:
				//Open dio
				hDIO=mxdio_open();

				for(int i=0;i<=3;i++)
				{
					//Get digital input
					port_no=i;
					intDin=mxdio_get_din(hDIO,port_no);
					printf("Din%d = %d\n",port_no,intDin);
				}

				//Close DIO
                mxdio_close(hDIO);
                break;

			// if char == '2', display the digital output
			case 2:
				//Open dio
				hDIO=mxdio_open();

				for(int i=0;i<=3;i++)
				{
					//Get digital input
					port_no=i;
					intDin=mxdio_get_dout(hDIO,port_no);
					printf("Dout%d = %d\n",port_no,intDin);
				}

				//Close DIO
                mxdio_close(hDIO);
				break;
            // if char == '3', Set the digital output
            case 3:
             
				//Get Port Number
				getwchar();
				printf("Input the Port Number (0 ~ 3) = \n");
				smode=getwchar();
				port_no=_wtoi(&smode);
			
				//Get Value
                getwchar();
                printf("Input the value (0 or 1) = ");
				smode=getwchar();
				data=_wtoi(&smode);
		
				//Open DIO
				hDIO=mxdio_open();
				//Set DOUT
				nDout=mxdio_set_dout(hDIO,port_no, data);
				if(nDout==-1)
				{
					printf("Set digital output fail!\n");
				}
				else
				{
					printf("Set digital output success!\n");
				}

				//Close DIO
				mxdio_close(hDIO);
                break;

			case 4:
				// if char == '4', Get both digital input and digital output
				//Open dio
				hDIO=mxdio_open();

				for(int i=0;i<=3;i++)
				{
					//Get digital input
					port_no=i;
					intDin=mxdio_get_din(hDIO,port_no);
					intDout=mxdio_get_dout(hDIO,port_no);
					printf("Din%d = %d, Dout%d = %d\n",port_no,intDin,port_no,intDout);
				}

				//Close DIO
                mxdio_close(hDIO);
				break;

				break;
        }
		getwchar();
        sin = getwchar();
        n = _wtoi(&sin);
    } while (n != 0);


#if 0
	unsigned int	hDIO;
	BYTE	byteDin;
	BOOL	bolDout,bolClose;
	int		index;
	int		data;
	int		intDout,intDin;
	int		nDout=0;
	index=3;
	data=1;
	int i=0;


	if(argc==3)
	{

		hDIO=mxdio_open();
		//Get index number
		index = _wtol(argv[1]);

		//Get DOUT data
		data  = _wtol(argv[2]);

		//Set DOUT
		nDout=mxdio_set_dout(hDIO,index, data);
		if(!nDout)
		{
			printf("DigitalOutput_Set fail!\n");
		}
		
		//GET DIN
		for (index=0;index<4;index++)
		{
		intDin=mxdio_get_din(hDIO,index);
		printf("Din%d = %d\n",index,intDin);
		
		}

		//Get DOUT
		for (index=0;index<4;index++)
		{
		intDout=mxdio_get_dout(hDIO,index);
		printf("Dout%d=%d\n",index,intDout);
		
		}
		mxdio_close(hDIO);
		
	}
	else
	{
		printf("\n\n");
		printf("Usage: \n");
		printf("\ttest_DIO  [Port] [Digit]    ; Port=0~3  Digit=0,1\n");
	}
#endif	
	return 0;
}

