// Persisted_SRAM.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>

#include "fsioctl.h"
#include "moxa\devices.h"

int _tmain(int argc, _TCHAR* argv[])
{
	DWORD dwBackSize = 0;
	HANDLE  hSRAM = NULL;
	
	// open the SRAM device driver
	hSRAM = CreateFile(SRAM_DEVICE_NAME,  GENERIC_READ | GENERIC_WRITE,
		0, // exclusive access, until the handle is closed
		NULL, // no security
		OPEN_EXISTING,
		FILE_ATTRIBUTE_NORMAL, // no overlapped I/O
		NULL); // null template 

	if (hSRAM == INVALID_HANDLE_VALUE)
	{
		printf("Can't open SRAM\n");
		return 1;
	}

	// preparing data for write
	char *data = "This is persisted data xxxxxx1234567";
	DWORD nLen = strlen(data);

	// write data into SRAM
	WriteFile( hSRAM, data, nLen, &dwBackSize, NULL);

	// close device driver handle
	CloseHandle(hSRAM);

	printf("** Done! You can now reboot your deivce, and try the Persisted_SRAM_Read program to verify the data that is still can be read.\n");

	return 0;
}

